org.eclipse.swt.events

## Class KeyAdapter

- java.lang.Object
- - org.eclipse.swt.events.KeyAdapter

All Implemented Interfaces:
  EventListener, KeyListener, SWTEventListener

Direct Known Subclasses:
  ContentAssistant.AutoAssistListener

    public abstract class KeyAdapter
    extends Object
    implements KeyListener

This adapter class provides default implementations for the methods described by the `KeyListener` interface.

Classes that wish to deal with `KeyEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `KeyListener`, `KeyEvent`, Sample code and further information

### Constructor Summary

Constructors
Constructor and Description
`KeyAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `keyPressed(KeyEvent e)` Sent when a key is pressed on the system keyboard.
`void` `keyReleased(KeyEvent e)` Sent when a key is released on the system keyboard.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.events.KeyListener

`keyPressedAdapter, keyReleasedAdapter`

### Constructor Detail

#### KeyAdapter

    public KeyAdapter()

### Method Detail

#### keyPressed

    public void keyPressed(KeyEvent e)

Sent when a key is pressed on the system keyboard. The default behavior is to do nothing.

Specified by:
  `keyPressed` in interface `KeyListener`
Parameters:
  `e` - an event containing information about the key press

#### keyReleased

    public void keyReleased(KeyEvent e)

Sent when a key is released on the system keyboard. The default behavior is to do nothing.

Specified by:
  `keyReleased` in interface `KeyListener`
Parameters:
  `e` - an event containing information about the key release